<template>
  <footer class="footer-background">
    <div class="section footer-wrapper">
      <div class="footer-logo">
        <span>
          ТАҲСИЛОТИ МУТТАСИЛИ <br />
          ТИББӢ
        </span>
        <!-- <div style="font-size: 14px">Разработчик: Рахимов Камол</div> -->
      </div>
      <div class="footer-link__wrapper">
        <div>
          <a class="footer-link" >Заминаи ҳуқуқӣ</a>
          <a class="footer-link" >Савол ва ҷавобҳо</a>
        </div>
        <div>
          <a
            href="/docs/Сиёсати_корбурди_маълумоти_шахсӣ_РУКЦСМ.docx"
            class="footer-link"
            download
          >
            Сиёсати корбурди маълумоти шахсӣ
          </a>
          <a
            href="/docs/Созишномаи_истифодабари_МД_МЧТКТО.docx"
            class="footer-link"
            download
          >
            Созишномаи истифодабарӣ
          </a>
        </div>
      </div>
      <client-only>
        <div>
          Забони барнома
          <div id="google_translate_element"></div>
        </div>
      </client-only>
      <div class="footer-info">
        <span> Саволҳо доред - занг занед! </span>
        <a href="tel:+9922211776">
          <i class="bx bx-phone"></i> 221-17-76
        </a>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  mounted() {
    this.$nextTick(() => {
      let checkIfElementTranslateLoaded = setInterval(() => {
        if (document.getElementById("google_translate_element") != null) {
          clearInterval(checkIfElementTranslateLoaded);
          var d = document,
            b = d.getElementById("google_translate_element"),
            js = d.createElement("script");
          js.type = "text/javascript";
          js.src =
            "https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit";

          b.appendChild(js);
          this.googleTranslateInit();
        }
      }, 2000);
    });
  },
  methods: {
    googleTranslateInit() {
      let checkIfGoogleLoaded = setInterval(() => {
        if (window.google.translate.TranslateElement !== null) {
          clearInterval(checkIfGoogleLoaded);
          window.translateIsRunning = true;
          new window.google.translate.TranslateElement(
            { pageLanguage: "tj", autoDisplay: false },
            "google_translate_element"
          );
        }
      }, 2000);
    },
  },
};
</script>

<style lang="scss" scoped>
footer {
  margin-top: 80px;
}
.footer {
  &-background {
    width: 100%;
    height: 100%;
    padding: 80px 0;
    background-color: #0c63e4;
    color: #fff;
    @include less-than(laptop) {
      margin-bottom: 50px;
    }
  }
  &-wrapper {
    display: flex;
    justify-content: space-between;
    @include less-than(laptop) {
      flex-direction: column;
    }
  }
  &-logo {
    @include less-than(laptop) {
      margin-bottom: 40px;
    }
    span {
      display: block;

      font-size: 16px;
      font-weight: 600;
      margin-bottom: 10px;
      text-transform: uppercase;
      letter-spacing: 0.08em;
    }
  }
  &-info {
    @include less-than(laptop) {
      margin-top: 40px;
    }
    > * {
      display: block;
      text-decoration: none;
      color: #fff;
      margin-bottom: 25px;
      @include less-than(laptop) {
        margin-bottom: 10px;
      }
    }
  }
  &-link__wrapper {
    display: flex;
    @include less-than(laptop) {
      flex-direction: column;
    }
  }
  &-link {
    display: block;
    margin: 0 30px;
    border-bottom: 1px dashed #fff;
    cursor: pointer;
    height: fit-content;
    margin-bottom: 25px;
    @include less-than(laptop) {
      margin: 0;
      margin-bottom: 10px;
      border-bottom: 0;
    }
  }
}
</style>

<style lang="scss">
#google_translate_element {
  .skiptranslate {
    display: block !important;
  }
  .goog-logo-link,
  .goog-te-gadget span {
    display: none !important;
  }

  .goog-te-gadget {
    color: transparent !important;
    font-size: 0;
  }
  select {
    border: none;
    outline: none;
    background: none;
    border-radius: 0;
    padding-left: 0px;
    font-size: 16px;

    color: #fff;
    border-bottom: 1px solid #fff;
    margin-top: 10px;
    &::after {
      content: "ЗЯык";
    }
  }
}
</style>
